geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tim McConnell (JIRA)" <j...@apache.org>
Subject [jira] Closed: (GERONIMO-3008) jsp taglib schema changes from 2.0 to 2.1 make upgrade hard.
Date Thu, 05 Apr 2007 20:03:32 GMT

     [ https://issues.apache.org/jira/browse/GERONIMO-3008?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Tim McConnell closed GERONIMO-3008.
-----------------------------------

    Resolution: Fixed

Fixed with patches applied to GERONIMO-2965

> jsp taglib schema changes from 2.0 to 2.1 make upgrade hard.
> ------------------------------------------------------------
>
>                 Key: GERONIMO-3008
>                 URL: https://issues.apache.org/jira/browse/GERONIMO-3008
>             Project: Geronimo
>          Issue Type: Bug
>      Security Level: public(Regular issues) 
>    Affects Versions: 2.0-M4
>            Reporter: David Jencks
>         Assigned To: Tim McConnell
>             Fix For: 2.0-M4
>
>         Attachments: JspModuleBuilderExtension.java
>
>
> an attribute like this:
>         <attribute>
>             <name>doEndTag</name>
>             <required>true</required>
>             <type>java.lang.String</type>
>         </attribute>
> is legal in 2.0 but not 2.1 where the type needs to be preceded with <rtexprvalue>true/false</rtexprvalue>
> It looks to me from the 2.1 schema that the default is supposed to be false but it might
be a good idea if someone who knows what it's supposed to mean verifies this.
> I suspect this is a result of an error in the 2.1 jsp schema but there's nothing we can
do about it now AFAIK.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message